org.eclipse.ease.debugging.model

## Class EaseWatchExpressionDelegate

- java.lang.Object
- - org.eclipse.ease.debugging.model.EaseWatchExpressionDelegate

All Implemented Interfaces:
  IWatchExpressionDelegate

    public class EaseWatchExpressionDelegate
    extends java.lang.Object
    implements IWatchExpressionDelegate

### Constructor Summary

Constructors
Constructor and Description
`EaseWatchExpressionDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `evaluateExpression(java.lang.String expression, IDebugElement context, IWatchExpressionListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EaseWatchExpressionDelegate

    public EaseWatchExpressionDelegate()

### Method Detail

#### evaluateExpression

    public void evaluateExpression(java.lang.String expression,
                                   IDebugElement context,
                                   IWatchExpressionListener listener)

Specified by:
  `evaluateExpression` in interface `IWatchExpressionDelegate`